Subject: Re: bug#57725: 29.0.50; eglot: Error when using :initializationOptions

From: Augusto Stoffel <[email-masked]>
Date: Sun, 11 Sep 2022 18:33:16 +0200

On Sun, 11 Sep 2022 at 17:27, João Távora wrote:

> Can you suggest an alternative patch so that that second effect also happens?
>
> João
>
> On Sun, Sep 11, 2022, 17:26 Augusto Stoffel <[email-masked]> wrote:
>
>  On Sun, Sep 11, 2022, 18:20 João Távora <[email-masked]> wrote:
>
>  I almost agree with this fix as is, but maybe we should name the slot. What
>  happens if my the connection is restarted, shouldn't the previous
>  initializationOptions be reused?
>
>  Most certainly.

Actually, I'm not so sure what the best behavior is.  I think reusing
the original :initializationOptions is consistent with other behavior in
Eglot (is it?), but there's also merit in recomputing/using the current
user settings — for instance, if you need to debug the
:initializationOptions.